JAZIP(1)

NAME
jazip - X tool to easily mount and unmount Iomega Zip and/or Jaz drives.

SYNOPSIS
jazip [SCSI device] [-display host:dpy] [-visual visual] [-depth depth] [-private]

DESCRIPTION
jazip is a program for maintaing your Iomega Zip and/or Jaz drive(s) and disks under Linux. This program combines Grant Guenther's original command line utility, ziptool, with Jaz drive support, a nice X interface and additional utilities to allow users to easily mount and unmount disks. The interface is based on version 0.88 of the XForms library.

OPTIONS
The optional SCSI device command line parameter specifies the raw scsi device name of one of the drives with an entry in /etc/jazip.conf. If no SCSI device is specified on the command line, jazip will use the first entry of /etc/jazip.conf by default. This allows you to add a different line in the configuration file for each drive you own, and then invoke jazip with the name of the device for the drive you want jazip to use. Note that the SCSI device argument does not contain a partition number. jazip auto-detects partitions and mounts the first one it encounters. jazip is built with the XForms Graphical User Interface Toolkit for X, and hence supports a number of flags which are interpreted by XForms:

-display host:dpy
    defines the X display.

-visual class
    TrueColor, PseudoColor etc...

-depth d
    visual depth in bits

-private
    forces a private colormap.

-shared
    forces a shared colormap.

-stdcmap
    forces a standard colormap.

FEATURES

  Mounting/Unmounting of Disks:
The program allows non-root users to securely mount/unmount disks. Disks are mounted with the nosuid flag to increase security. The type of disk should be detected automagically by reading its partition table. Only the first disk partition encountered will be mounted by jaZip.

  Write Protection/De-Write Protection:
The program allows non-root users to control the disk's software write protection feature. Password protection is not currently supported.

  Ejection of Media:
Any questions?

  Disk Information:
Keeps you informed about the current disk's protection and mount status.

  Other information:
Once the program is running, see the online help (under the help menu) for further information and instructions.

USER ACCESS TO JAZIP
On Debian systems, jazip is installed suid to root, and sgid to floppy. Access to jazip is limited to users in the floppy group. To add user joe to group floppy , run the following command as root # adduser joe floppy

  What about non-Debian systems?
You may change permission and group ownership of the jazip executable like so: # chown root:floppy /usr/bin/jazip # chmod 4754 /usr/bin/jazip to yield # ls -l /usr/bin/jazip -rwsr-xr-- 1 root jazip 147340 May 18 15:04 /usr/bin/jazip

OWNERSHIP AND PERMISSIONS OF MOUNT POINTS
This is what is suggested # chmod 1771 /zip to yield drwxrwx--t 3 root floppy 1024 May 21 10:58 /zip Only members of the floppy group can read it, all floppy group members can write to it at any time, but can't overwrite other user's files. This only matters for ext2 formatted disks because jazip's mount changes ownwership of the mount for vfat formatted disks: whoever uses jazip to mount the disk owns the files. No other user can write to the disk.

KNOWN LIMITATIONS

  Starting the program:
There needs to be a disk in the drive in order to start the program. If you start jazip from a window manager menu without a disk in the drive, it will fail silently because you will never see the text error message.

  Partitioning your disks:
Since Zip and Jaz are removable media technologies, it is assumed that each disk will contain just one partition. This is less likely to be desireable if you are a Jaz user with 1G or 2G disks. In order to easily support autodetection of disk types, I don't see a way around this restriction.

  Unmounting disks to access some features:
Currently, to use the lock and unlock features, the disk must be unmounted.

CONFIGURATION FILE
jazip uses the file /etc/jazip.conf to map the raw SCSI device name of the drive you wish to use onto its mount point. If you have more than one drive on your system, you can create a separate entry in the configuration file for each one, and then specify the raw device name of the drive you want to use on the command line when you invoke jazip. If no device name is given on the command line, jazip will use the settings in the first entry of /etc/jazip.conf by default. The format of the jazip.conf file should be mostly self-explanatory. The first entry of the configuration file is the raw SCSI device name of your drive (e.g. /dev/sda). The second entry is the mount point you wish to use (e.g. /zip). The additional entries are required, but are not user-changeable. See the jazipconfig(8) man page for specifics. See the jazipconfig command to create the /etc/jazip.conf configuration file.

SEE ALSO
jazip.conf(5), jazipconfig(8)

AUTHOR
jazip Copyright (c) 1996 Jarrod A. Smith This manual page by Peter S Galbraith <psg@debian.org> for the Debian GNU/Linux system (but may be used by others).